# RSL_bscan_...

### Synopsis

#include "rsl.h"
void RSL_bscan_ray(Ray *r, FILE *fp);
void RSL_bscan_sweep(Sweep *s, char *outfile);
void RSL_bscan_volume(Volume *v, char *basename);

###

Description

Output image format is PPM. If basename is "bscan", RSL_bscan_volume outputs filenames bscan.01.gif, bscan.02.gif, etc. as PPM images. These are simple ray dumps; aka, B-SCANS. The output file is specified as the outfile parameter to RSL_bscan_sweep. These routines assume the color table has been loaded, otherwise you will get a black image. The output image dimensions are nbins by nrays which are determined from sweep and first-ray-of-the-sweep header information.

### Return value

None.

### See also

RSL_sweep_to_gif, RSL_sweep_to_pict, RSL_sweep_to_pgm, RSL_sweep_to_ppm,
RSL_load_color_table, RSL_load_green_table, RSL_load_red_table, RSL_load_blue_table,
RSL_load_refl_color_table, RSL_load_sw_color_table, RSL_load_vel_color_table

Author: John H. Merritt